描述一下上下文,这个错是说你协议不兼容。